## rxpy 3.0.1

=== docs/requirements.txt ===
sphinx>=2.0
sphinx-autodoc-typehints>=1.6.0
guzzle_sphinx_theme>=0.7.11
sphinxcontrib_dooble>=1.0

=== debian/changelog ===
rxpy (3.0.1-0+git20200130~mx19+1) mx; urgency=medium

  * Initial packaging of upstream git release.
  * Disabled test_version.py in debian/rules because it fails the build

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 29 Jan 2020 21:02:05 -0400

=== debian/control ===
Source: rxpy
Section: python
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Dag Brattli <dag@brattli.net>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-nose, python3-coverage, python3-dev, python3-all-dev, python3-pytest, python3-pytest-asyncio, python3-pytest-runner, python-pytest-cython
Standards-Version: 4.4.0
Homepage: https://github.com/ReactiveX/RxPY
X-Python3-Version: >= 3.7
Testsuite: autopkgtest-pkg-python

Package: python3-rx
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Reactive Extensions for Python (Python 3)
 This package contains a set of libraries for composing asynchronous and
 event-based programs using observable sequences and LINQ-style query operators
 in Python. Using Rx, developers represent asynchronous data streams with
 Observables, query asynchronous data streams using operators, and parameterize
 concurrency in data/event streams using Schedulers.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rx

export PYBUILD_TEST_ARGS=-k-test_version

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## rxpy 3.1.0

=== debian/changelog ===
rxpy (3.1.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Disabled test_version.py in debian/rules because it fails the build

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 20 Apr 2020 10:58:46 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_shlibdeps:
-	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
